# /sys/wrapping/wrap

The `/sys/wrapping/wrap` endpoint wraps the given values in a response-wrapped token.

### Wrapping wrap

This endpoint wraps the given user-supplied data inside a response-wrapped token.

| Method | Path                 |
| ------ | -------------------- |
| `POST` | `/sys/wrapping/wrap` |

#### Parameters

* `:any` `(map<string|string>: nil)` – Parameters should be supplied as keys/values in a JSON object. The exact set of given parameters will be contained in the wrapped response.

#### Sample payload

```json
{
  "foo": "bar",
  "zip": "zap"
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --header "X-Vault-Wrap-TTL: 60" \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/wrapping/wrap
```

#### Sample response

```json
{
  "request_id": "",
  "lease_id": "",
  "lease_duration": 0,
  "renewable": false,
  "data": null,
  "warnings": null,
  "wrap_info": {
    "token": "fb79b9d3-d94e-9eb6-4919-c559311133d6",
    "ttl": 300,
    "creation_time": "2016-09-28T14:41:00.56961496-04:00",
    "creation_path": "sys/wrapping/wrap"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-wrapping-wrap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
